Draft Drawing

From FreeCAD Documentation
Revision as of 04:27, 16 November 2018 by Vocx (talk | contribs) (More details for the properties)

Draft Drawing

Menu location
Drafting → Drawing
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
TechDraw Workbench, Draft Shape2DView

Development of the Drawing Workbench stopped in FreeCAD v0.16, and the new TechDraw Workbench aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing workbench may be removed in future releases.

Description

The Drawing tool allows you to put selected objects on a drawing sheet created with the Drawing Workbench. If no sheet exists in the document, a default one will be created.

This tool works similarly to the Drawing View tool but is optimized for Draft Workbench objects, and can render 2D objects with a face filling. It can handle specific objects such as Draft Dimension and Draft Text, that the Drawing View tool cannot handle.

How to use

  1. Select the objects that you wish to put on a drawing sheet.
  2. In the same selection, add the Drawing Workbench page object in which you want to draw the projection of the objects.
  3. Press the Draft Drawing button.

Notes:

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Options

There are no options for this tool. Either it works with the selected objects or not.

Properties

  • DataFill Style: specifies the fill style "concrete", "square", "simple", "wood", "line", "cross", "woodgrain", or "shape color". This property only works for closed shapes.
  • DataFont Size: specifies the font size of texts and dimensions.
  • DataLine Width: specifies the line width of viewed objects in millimeters.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

Draft.makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)